<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>KPI Lecturer</title>
    <link rel="stylesheet" th:href="@{/css/sweetalert2.min.css}">
    <!-- SweetAlert2 JS -->
    <script th:src="@{/js/sweetalert2.js}"></script>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            function toggleFileInput(button) {
                const id = button.getAttribute('data-id');
                const fileInput = document.getElementById(`file-${id}`);
                const spanFile = document.getElementById(`span-file-${id}`);
                const btnGanti = document.getElementById(`ganti-${id}`);
                const btnBatal = document.getElementById(`batal-${id}`);
                const idHidden = document.getElementById(`id-${id}`)

                // Check if elements exist before manipulating them
                if (fileInput && spanFile && btnGanti && btnBatal) {
                    if (fileInput.classList.contains('d-none')) {
                        fileInput.classList.remove('d-none');
                        spanFile.classList.add('d-none');
                        btnGanti.classList.add('d-none');
                        btnBatal.classList.remove('d-none');
                        idHidden.classList.remove('d-none');
                    } else {
                        fileInput.classList.add('d-none');
                        spanFile.classList.remove('d-none');
                        btnGanti.classList.remove('d-none');
                        btnBatal.classList.add('d-none');
                        idHidden.classList.add('d-none');
                    }

                    fileInput.addEventListener('change', function () {
                        const file = fileInput.files[0];
                        if (file && file.size > 102400*20) { // 100 KB = 100 * 1024 bytes
                            Swal.fire({
                                icon: 'warning',
                                title: 'Ukuran File Terlalu Besar',
                                text: 'Ukuran file melebihi 2 MB. Silakan pilih file yang lebih kecil.',
                                confirmButtonText: 'OK'
                            });

                            // Hapus file dari input jika ukuran melebihi batas
                            fileInput.value = '';
                        }
                    });
                } else {
                    console.error(`Element not found for ID: ${id}`);
                }
            }



            window.toggleFileInput = toggleFileInput; // Make the function globally accessible
        });
    </script>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_kpi_staff::sidebar_kpi_staff" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> KPI Lecturer
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm border-0">
                    <form th:action="@{/kpi_lecturer/editevidance}" th:object="${pengisianKpiDosen}" method="post" enctype="multipart/form-data">
                        <div class="card-header p-4">
                            <div class="d-flex justify-content-between">
                                <span class="fw-bold text-secondary">Form Report KPI</span>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 text-end">
                        <span style="padding: 5px; background-color: #FF7777; color: white; border-radius: 6px; font-size: 14px;">
                          <i class="fa fa-clock"></i> &nbsp; <b id="periode" th:text="${pengisianKpiDosen.getLecturerClassKpi().getPeriodeEvaluasi()}">Periode Bulanan</b>
                        </span>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <b>KPI</b>
                                    <input type="hidden" id="id" name="idKpi" th:field="*{lecturerClassKpi}">
                                    <p style="color: #475569; font-size: 14px;" id="kpi" th:text="${pengisianKpiDosen.getLecturerClassKpi().getKpi()}">Bersama Kabag IT melakukan dokumentasi pembuatan atau pengembangan aplikasi system informasi yang dibutuhkan oleh Institut agama Islam tazkia</p>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <b>Indikator</b>
                                    <p style="color: #475569; font-size: 14px;" id="indikator" th:text="${pengisianKpiDosen.getLecturerClassKpi().getIndikator()}">Bersama Kabag IT melakukan dokumentasi pembuatan atau pengembangan aplikasi system informasi yang dibutuhkan oleh Institut agama Islam tazkia</p>
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-md-4" style="border-right: 1px solid #cfcbca">
                                    <b>Syarat Nilai A</b>
                                    <p style="color: #475569; font-size: 14px;" id="syaratA" th:text="${pengisianKpiDosen.getLecturerClassKpi().getSyaratAa()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Animi aperiam earum fuga illo, magnam molestias possimus! A aperiam aspernatur ea esse incidunt sunt, veniam vitae! Architecto fugit nemo porro tempora.</p>
                                </div>
                                <div class="col-md-4" style="border-right: 1px solid #cfcbca">
                                    <b>Syarat Nilai B</b>
                                    <p style="color: #475569; font-size: 14px;" id="syaratB" th:text="${pengisianKpiDosen.getLecturerClassKpi().getSyaratBb()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusantium amet fugit minima mollitia neque. A, assumenda consequuntur delectus doloremque expedita libero molestias necessitatibus non quasi, reiciendis repellendus, rerum sequi voluptatibus?</p>
                                </div>
                                <div class="col-md-4">
                                    <b>Syarat Nilai C</b>
                                    <p style="color: #475569; font-size: 14px;" id="syaratC" th:text="${pengisianKpiDosen.getLecturerClassKpi().getSyaratCc()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque impedit iusto quaerat quas voluptatem. Assumenda doloremque eaque ipsa molestias ullam?</p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label><b>Tanggal Penugasan/Mulai</b></label>
                                        <input type="date" th:value="${pengisianKpiDosen.getTanggalPenugasan()}" class="form-control" name="tanggalPenugasan">
                                        <input type="hidden" th:value="${pengisianKpiDosen.getId()}" name="id">
                                    </div>
                                    <div class="form-group mb-3">
                                        <label><b>Deskripsi Penugasan</b></label>
                                        <textarea name="deskripsiPenugasan" id="deskripsiPenugasan" required class="form-control" th:text="${pengisianKpiDosen.getDeskripsiPenugasan()}"></textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group mb-3">
                                        <label><b>Tanggal Pelaporan/selesai</b></label>
                                        <input type="date" th:value="${pengisianKpiDosen.getTanggal()}" class="form-control" name="tanggal">
                                        <input type="hidden" th:value="${pengisianKpiDosen.getId()}" name="id">
                                    </div>
                                    <div class="form-group mb-3">
                                        <label><b>Deskripsi Pelaporan</b></label>
                                        <textarea name="deskripsi" id="deskripsi" required class="form-control" th:text="${pengisianKpiDosen.getDeskripsi()}"></textarea>
                                    </div>
                                </div>

                                <input type="hidden" name="id" th:field="*{id}">

                            </div>

                            <div class="table-responsive">
                                <table class="table table-bordered table-striped">
                                    <tr th:each="data, row:${listEvidance}">
                                        <td>
                                            <input type="hidden" th:value="${data.getId()}" th:id="'id-' + ${data.getId()}" name="idEvidance" class="d-none">
                                            <input type="file" class="form-control d-none" th:id="'file-' + ${data.getId()}" name="file">
                                            <a th:href="@{/kpi_lecturer/evidance(id = ${data.getId()})}" target="_blank" th:id="'span-file-' + ${data.getId()}" th:text="${data.getNamaFile()}"></a>
                                        </td>
                                        <td>
                                            <button type="button" th:id="'ganti-' + ${data.getId()}"
                                                    th:data-id="${data.getId()}"
                                                    onclick="toggleFileInput(this)"
                                                    class="btn btn-outline-success btn-sm"
                                                    id="ganti">Ganti File</button>
                                            <button type="button" th:id="'batal-' + ${data.getId()}"
                                                    th:data-id="${data.getId()}"
                                                    onclick="toggleFileInput(this)"
                                                    class="d-none btn btn-outline-danger btn-sm" id="batal">Batal</button>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="form-group mb-3">
                                <button class="btn btn-primary">Simpan</button>
                                <a th:href="@{/kpi_lecturer}" class="btn btn-secondary">Kembali</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>
